## AgsResetFxAnalyse

AgsResetFxAnalyse — reset fx analyse

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_reset_fx_analyse_add ()
void | ags_reset_fx_analyse_remove ()
AgsResetFxAnalyse * | ags_reset_fx_analyse_get_instance ()
AgsResetFxAnalyse * | ags_reset_fx_analyse_new ()

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsResetFxAnalyse

## Includes

    #include <ags/audio/task/ags_reset_fx_analyse.h>

## Description

The AgsResetFxAnalyse task resets ags-fx-analyse to recompute the analyse during next run.

## Functions

### ags_reset_fx_analyse_add ()

    void
    ags_reset_fx_analyse_add (AgsResetFxAnalyse *reset_fx_analyse,
                              AgsFxAnalyseChannel *fx_analyse_channel);

Add `fx_analyse_channel` .

#### Parameters

reset_fx_analyse | the AgsResetFxAnalyse |
fx_analyse_channel | the AgsFxAnalyseChannel |

Since: 3.3.0

### ags_reset_fx_analyse_remove ()

    void
    ags_reset_fx_analyse_remove (AgsResetFxAnalyse *reset_fx_analyse,
                                 AgsFxAnalyseChannel *fx_analyse_channel);

Remove `fx_analyse_channel` .

#### Parameters

reset_fx_analyse | the AgsResetFxAnalyse |
fx_analyse_channel | the AgsFxAnalyseChannel |

Since: 3.3.0

### ags_reset_fx_analyse_get_instance ()

    AgsResetFxAnalyse *
    ags_reset_fx_analyse_get_instance ();

Get instance.

#### Returns

the AgsResetFxAnalyse.

[transfer none]

Since: 3.3.0

### ags_reset_fx_analyse_new ()

    AgsResetFxAnalyse *
    ags_reset_fx_analyse_new ();

Creates an AgsResetFxAnalyse.

#### Returns

an new AgsResetFxAnalyse.

Since: 3.3.0